import 'package:equatable/equatable.dart';

class TabState extends Equatable {
  final List<String> availableItems;
  final List<String> closedItems;

  const TabState({
    this.availableItems = const [],
    this.closedItems = const [],
  });

  TabState copyWith({
    List<String>? availableItems,
    List<String>? closedItems,
  }) {
    return TabState(
      availableItems: availableItems ?? this.availableItems,
      closedItems: closedItems ?? this.closedItems,
    );
  }

  @override
  List<Object> get props => [availableItems, closedItems];
}
